Skip to main content
`Ctrl`+`K`

# LMESetUp

Sets up all the internal data structures necessary for the execution of the linear matrix equation solver.

## Synopsis

    #include "slepclme.h"
    PetscErrorCode LMESetUp(LME lme)

Collective

## Input Parameter

- lme - the linear matrix equation solver context

## Notes

This function need not be called explicitly in most cases, since `LMESolve()` calls it. It can be useful when one wants to measure the set-up time separately from the solve time.

## See Also

LME: Linear Matrix Equation, `LMECreate()`, `LMESolve()`, `LMEDestroy()`

## Level

developer

## Location

src/lme/interface/lmesetup.c

## Implementations

LMESetUp_Krylov() in src/lme/impls/krylov/lmekrylov.c

Index of all LME routines Table of Contents for all manual pages Index of all manual pages